Bug 849034 - [whql][Netkvm] Job of "Multiple processor group device test" failed on HCK
[whql][Netkvm] Job of "Multiple processor group device test" failed on HCK
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Yan Vugenfirer
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 02:58 EDT by dawu
Modified: 2014-07-11 02:37 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 02:39:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dawu 2012-08-17 02:58:54 EDT
Description of problem:
Job of 1134 "Multiple processor group device test" failed on HCK.

Version-Release number of selected component (if applicable):
kernel-2.6.32-294.el6.x86_64
qemu-kvm-0.12.1.2-2.302.el6.x86_64
virtio-win-prewhql-0.1-33

How reproducible:
always

Steps to Reproduce:
1. Start guest with CLI:
   /usr/libexec/qemu-kvm -m 6G -smp 4 -cpu cpu64-rhel6,+x2apic -usbdevice tablet -drive file=win2k8-R2-nic1.raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -netdev tap,sndbuf=0,id=hostnet0,vhost=on,script=/etc/qemu-ifup-private,downscript=no -device virtio-net-pci,netdev=hostnet0,mac=00:10:1a:06:39:01,bus=pci.0,addr=0x4,id=virtio-net-pci0 -netdev tap,sndbuf=0,id=hostnet1,vhost=on,script=/etc/qemu-ifup-private,downscript=no -device virtio-net-pci,netdev=hostnet1,mac=00:10:1a:06:39:02,bus=pci.0,addr=0x5,id=virtio-net-pci1 -netdev tap,sndbuf=0,id=hostnet2,script=/etc/qemu-ifup,downscript=no -device e1000,netdev=hostnet2,mac=00:10:1a:16:39:03,bus=pci.0,addr=0x6 -uuid 12234395-f919-4c43-b140-bfc5bb45ce39 -rtc base=localtime,clock=host,driftfix=slew -no-kvm-pit-reinjection -chardev socket,id=111a,path=/tmp/monitor-win2k8-R2-nic1,server,nowait -mon chardev=111a,mode=readline -spice port=5931,disable-ticketing -vga qxl -bios /usr/share/seabios/bios-pm.bin -monitor stdio

2. Run job 1134 "Multiple processor group device test"

3. Run sub-job "Validate multiple groups exist"
  
Actual results:
Job failed with following hck logs:
--------------------------------------------------------------------------------
Error 8/16/2012 11:42:34.761 AM ValidateMultipleGroupsExist - Failure: Expected more than one active processor group, but found only one.  Consult the Windows Logo Kit documentation for the proper manual machine configuration steps required prior to running device logo tests on Windows Server 2008 R2 and later OS versions.  The recommended steps are similar to the following, and need to be run from an elevated cmd prompt.
    bcdedit.exe /set groupsize 2
    bcdedit.exe /set groupaware on
    shutdown -r -t 0 -f
    <start device logo tests>

 
File:   testsrc\basetest\topology\logo\ismultigroup\ismultigroup.cpp Line: 109 
Error Type:   HRESULT 
Error Code:   0x0 
Error Text:   The operation completed successfully. 
--------------------------------------------------------------------------------

please refer to the attached     
"MultipleProcessorGroupDeviceTest_fail_log.wtl" for complete logs.

Expected results:
Job should passed without error.

Additional info:
Comment 2 dawu 2012-08-17 03:03:36 EDT
Created attachment 605100 [details]
MultipleProcessorGroupDeviceTest_fail_log
Comment 4 dawu 2012-08-19 23:01:36 EDT
Tried one more time today with the same environment, job passed one time, so remove regression and block flags and keep the bug open till no failure happened again completely.
Comment 5 Yan Vugenfirer 2012-09-03 06:31:56 EDT
Did you configure the VM for multiple processors group?

http://msdn.microsoft.com/en-us/library/ff564483(v=vs.85).aspx

Also in the failing log:
bcdedit.exe /set groupsize 2
bcdedit.exe /set groupaware on
shutdown -r -t 0 -f
Comment 6 dawu 2012-09-04 02:36:56 EDT
(In reply to comment #5)
> Did you configure the VM for multiple processors group?
> 
> http://msdn.microsoft.com/en-us/library/ff564483(v=vs.85).aspx
> 
> Also in the failing log:
> bcdedit.exe /set groupsize 2
> bcdedit.exe /set groupaware on
> shutdown -r -t 0 -f

I didn't configure the VM for multiple processors group, now it passed without any error after I manually configured it.

Thanks for your reminding.

Best Regards,
Dawn

Note You need to log in before you can comment on or make changes to this bug.